<?php
/**
 * $Horde: jonah/delivery/index.php,v 1.21 2006/01/07 19:50:08 chuck Exp $
 *
 * Copyright 2003-2006 Chuck Hagenbuch <chuck@horde.org>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/jonah/LICENSE.
 */

@define('AUTH_HANDLER', true);
@define('JONAH_BASE', dirname(__FILE__) . '/..');
require_once JONAH_BASE . '/lib/base.php';
require_once JONAH_BASE . '/lib/News.php';

$news = &Jonah_News::singleton();

$channel_id = Util::getFormData('channel_id');
$channels = array();
foreach (array(JONAH_INTERNAL_CHANNEL, JONAH_AGGREGATED_CHANNEL, JONAH_COMPOSITE_CHANNEL) as $type) {
    $t_channels = $news->getChannels($type);
    if (is_a($t_channels, 'PEAR_Error')) {
        $notification->push(sprintf(_("Could not get channel list. %s"), $t_channels->getMessage()), 'horde.error');
        $t_channels = array();
    }
    $channels = array_merge($channels, $t_channels);
}

$template = &new Horde_Template();
$template->set('header', sprintf(_("Available Channels from %s (%s)"), $registry->get('name', 'horde'), count($channels)));

foreach ($channels as $key => $channel) {
    /* Link for HTML delivery. */
    $url = Horde::applicationUrl('delivery/html.php');
    $url = Util::addParameter($url, 'channel_id', $channel['channel_id']);
    $label = sprintf(_("%s stories in HTML"), $channel['channel_name']);
    $channels[$key]['html_link'] = Horde::link($url, $label, '', '', '', $label) . $channel['channel_name'] . '</a>';

    /* Link for feed delivery. */
    $url = Horde::applicationUrl('delivery/rss.php', true, -1);
    $url = Util::addParameter($url, 'channel_id', $channel['channel_id']);
    $label = sprintf(_("Feed for %s"), $channel['channel_name']);
    $channels[$key]['feed_link'] = Horde::link($url, $label, '', '_blank', '', $label) .  Horde::img('feed.png') . '</a>';

    /* Link for email delivery. */
    $url = Horde::applicationUrl('delivery/email.php');
    $url = Util::addParameter($url, 'channel_id', $channel['channel_id']);
    $label = sprintf(_("Have %s emailed to you"), $channel['channel_name']);
    $channels[$key]['email_link'] = Horde::link($url, $label, '', '', '', $label) .  Horde::img('email.png', $label) . '</a>';
    $channels[$key]['channel_updated'] = $channel['channel_updated'] ? date('M d, Y H:i', $channel['channel_updated']) : _("No Data");
}

$template->set('channels', $channels, true);
$template->set('listheaders', array(_("Name"), _("Last Update"), '&nbsp;'));
$template->set('menu', Jonah::getMenu('string'));
$template->set('notify', Util::bufferOutput(array($notification, 'notify'), array('listeners' => 'status')));

require JONAH_TEMPLATES . '/common-header.inc';
echo $template->fetch(JONAH_TEMPLATES . '/delivery/index.html');
require $registry->get('templates', 'horde') . '/common-footer.inc';
