<?php

$block_name = _("Local Feeds");

/**
 * This class extends Horde_Block:: to provide a list of deliverable internal
 * channels.
 *
 * $Horde: jonah/lib/Block/delivery.php,v 1.10 2006/01/07 19:50:08 chuck Exp $
 *
 * Copyright 2004-2006 Horde Project (http://horde.org/)
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://cvs.horde.org/co.php/jonah/LICENSE.
 *
 * @author  Roel Gloudemans <roel@gloudemans.info>
 * @package Horde_Block
 */
class Horde_Block_Jonah_delivery extends Horde_Block {

    var $_app = 'jonah';

    function Horde_Block_Jonah_delivery($params = array())
    {
        parent::Horde_Block($params);
    }

    function _title()
    {
        return _("Local Feeds");
    }

    function _content()
    {
        @define('JONAH_BASE', dirname(__FILE__) . '/../..');
        require_once JONAH_BASE . '/lib/Jonah.php';
        require_once JONAH_BASE . '/lib/News.php';

        $news = &Jonah_News::singleton();

        $channels = array();
        $channels = $news->getChannels(JONAH_INTERNAL_CHANNEL);
        if (is_a($channels, 'PEAR_Error')) {
            $channels = array();
        }

        $html = '';

        foreach ($channels as $key => $channel) {
            /* Link for HTML delivery. */
            $url = Horde::applicationUrl('delivery/html.php');
            $url = Util::addParameter($url, 'channel_id', $channel['channel_id']);
            $label = sprintf(_("\"%s\" stories in HTML"), $channel['channel_name']);
            $html .= '<tr><td width="140">' .
                     Horde::img('story_marker.png') . ' ' .
                     Horde::link($url, $label, '', '', '', $label) .
                     $channel['channel_name'] . '</a></td>';

            /* Link for feed delivery. */
            $url = Horde::applicationUrl('delivery/rss.php', true, -1);
            $url = Util::addParameter($url, 'channel_id', $channel['channel_id']);
            $label = sprintf(_("Feed for \"%s\""), $channel['channel_name']);
            $html .= '<td align="right" class="nowrap">' .
                     Horde::link($url, $label, '', '_blank', '', $label) .
                     Horde::img('feed.png') . '</a> ';

            /* Link for email delivery. */
            $url = Horde::applicationUrl('delivery/email.php');
            $url = Util::addParameter($url, 'channel_id', $channel['channel_id']);
            $label = sprintf(_("Have \"%s\" emailed to you"), $channel['channel_name']);
            $html .= Horde::link($url, $label, '', '', '', $label) .
                Horde::img('email.png', $label) .
                '</a></td></tr>';
        }

        if ($html) {
            return '<table cellspacing="0" width="100%" class="linedRow striped">' . $html . '</table>';
        } else {
            return '<p><em>' . _("No local feeds are available.") . '</em></p>';
        }
    }

}
